#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ibcm_reject_msg, "", "");
KSYMTAB_FUNC(ib_create_cm_id, "", "");
KSYMTAB_FUNC(ib_destroy_cm_id, "", "");
KSYMTAB_FUNC(ib_cm_listen, "", "");
KSYMTAB_FUNC(ib_cm_insert_listen, "", "");
KSYMTAB_FUNC(ib_send_cm_req, "", "");
KSYMTAB_FUNC(ib_send_cm_rep, "", "");
KSYMTAB_FUNC(ib_send_cm_rtu, "", "");
KSYMTAB_FUNC(ib_send_cm_dreq, "", "");
KSYMTAB_FUNC(ib_send_cm_drep, "", "");
KSYMTAB_FUNC(ib_send_cm_rej, "", "");
KSYMTAB_FUNC(ib_send_cm_mra, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_req, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_rep, "", "");
KSYMTAB_FUNC(ib_cm_notify, "", "");
KSYMTAB_FUNC(ib_cm_init_qp_attr, "", "");

SYMBOL_CRC(ibcm_reject_msg, 0x69824a14, "");
SYMBOL_CRC(ib_create_cm_id, 0xf72665f0, "");
SYMBOL_CRC(ib_destroy_cm_id, 0x451e4d80, "");
SYMBOL_CRC(ib_cm_listen, 0xdb94e01e, "");
SYMBOL_CRC(ib_cm_insert_listen, 0xd1622227, "");
SYMBOL_CRC(ib_send_cm_req, 0x3df20102, "");
SYMBOL_CRC(ib_send_cm_rep, 0x70bcfe28, "");
SYMBOL_CRC(ib_send_cm_rtu, 0x6f434fb3, "");
SYMBOL_CRC(ib_send_cm_dreq, 0xf65188ff, "");
SYMBOL_CRC(ib_send_cm_drep, 0x6538c2df, "");
SYMBOL_CRC(ib_send_cm_rej, 0xfb27b1f0, "");
SYMBOL_CRC(ib_send_cm_mra, 0xd1600459, "");
SYMBOL_CRC(ib_send_cm_sidr_req, 0xecee4dcf, "");
SYMBOL_CRC(ib_send_cm_sidr_rep, 0x2962a741, "");
SYMBOL_CRC(ib_cm_notify, 0x96edb9b6, "");
SYMBOL_CRC(ib_cm_init_qp_attr, 0xa52f2e5b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x8600cd4a, "trace_event_buffer_commit" },
	{ 0x949a561c, "rdma_create_ah" },
	{ 0x1d1d6e1e, "ib_init_ah_attr_from_wc" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0x551cd22, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0x51ccba37, "ib_register_client" },
	{ 0x8c813934, "ib_unregister_mad_agent" },
	{ 0x6b3b3ef5, "ib_post_send_mad" },
	{ 0x7764205a, "ib_create_send_mad" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xb55dd28d, "perf_trace_run_bpf_submit" },
	{ 0x5068e321, "rdma_destroy_ah_attr" },
	{ 0x9184ffe2, "ib_set_client_data" },
	{ 0x5a4194e2, "ib_get_cached_pkey" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x6947e605, "rdma_put_gid_attr" },
	{ 0xb04a43ad, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xddd6684f, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x9ef068ff, "bpf_trace_run1" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x33577862, "_dev_warn" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1f057e46, "mlx_backport_dependency_symbol" },
	{ 0x4380853, "rdma_destroy_ah_user" },
	{ 0x36b8a79a, "ib_free_send_mad" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0x64147732, "ib_port_unregister_client_groups" },
	{ 0x745a981, "xa_erase" },
	{ 0x1bef7d83, "bpf_trace_run3" },
	{ 0x5409f843, "rdma_move_ah_attr" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x69758237, "trace_event_buffer_reserve" },
	{ 0x1e285ef8, "rdma_find_gid" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x398b4b96, "ib_free_recv_mad" },
	{ 0xb119dc75, "ib_register_mad_agent" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xe327a7f8, "kmalloc_trace" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x2e355d95, "ib_modify_mad" },
	{ 0x97e54588, "ib_create_ah_from_wc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8b3494ff, "trace_handle_return" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe0b1a832, "kmalloc_caches" },
	{ 0x15da37c1, "ib_unregister_client" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x23ee3843, "ib_init_ah_attr_from_path" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa6257a2f, "complete" },
	{ 0x39761bfe, "trace_raw_output_prep" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x5a83eb6f, "__trace_trigger_soft_disabled" },
	{ 0x4754787c, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x5a4e462, "trace_event_raw_init" },
	{ 0xe6570985, "trace_print_symbols_seq" },
	{ 0x37a0cba, "kfree" },
	{ 0x4c56e39a, "rdma_query_gid" },
	{ 0x1d6821b3, "ib_port_register_client_groups" },
	{ 0x6131149c, "pcpu_hot" },
	{ 0x945c98c7, "ib_modify_port" },
	{ 0xcef9ecac, "bpf_trace_run2" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xe88dbce, "module_layout" },
};

MODULE_INFO(depends, "ib_core,mlx_compat");

