#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ib_uverbs_get_ucontext_file, "", "");
KSYMTAB_FUNC(flow_resources_alloc, "", "");
KSYMTAB_FUNC(ib_uverbs_flow_resources_free, "", "");
KSYMTAB_FUNC(flow_resources_add, "", "");
KSYMTAB_FUNC(ib_copy_ah_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_qp_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_from_user, "", "");
KSYMTAB_FUNC(uverbs_uobject_put, "", "");
KSYMTAB_DATA(uverbs_idr_class, "", "");
KSYMTAB_FUNC(uverbs_uobject_fd_release, "", "");
KSYMTAB_DATA(uverbs_fd_class, "", "");
KSYMTAB_FUNC(uverbs_destroy_def_handler, "", "");
KSYMTAB_FUNC(_uverbs_alloc, "", "");
KSYMTAB_FUNC(uverbs_get_flags64, "", "");
KSYMTAB_FUNC(uverbs_set_flags64, "", "");
KSYMTAB_FUNC(uverbs_get_flags32, "", "");
KSYMTAB_FUNC(uverbs_copy_to, "", "");
KSYMTAB_FUNC(_uverbs_get_const_signed, "", "");
KSYMTAB_FUNC(_uverbs_get_const_unsigned, "", "");
KSYMTAB_FUNC(uverbs_copy_to_struct_or_zero, "", "");
KSYMTAB_FUNC(uverbs_finalize_uobj_create, "", "");
KSYMTAB_FUNC(ib_umem_find_best_pgsz, "", "");
KSYMTAB_FUNC(ib_umem_get, "", "");
KSYMTAB_FUNC(ib_umem_get_peer, "", "");
KSYMTAB_FUNC(ib_umem_release, "", "");
KSYMTAB_FUNC(ib_umem_copy_from, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_map_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_unmap_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get_pinned_with_dma_device, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get_pinned, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_revoke, "", "");
KSYMTAB_FUNC(ib_register_peer_memory_client, "", "");
KSYMTAB_FUNC(ib_unregister_peer_memory_client, "", "");
KSYMTAB_FUNC(ib_umem_activate_invalidation_notifier, "", "");
KSYMTAB_FUNC(ib_umem_stop_invalidation_notifier, "", "");
KSYMTAB_FUNC(ib_umem_odp_alloc_implicit, "", "");
KSYMTAB_FUNC(ib_umem_odp_alloc_child, "", "");
KSYMTAB_FUNC(ib_umem_odp_get, "", "");
KSYMTAB_FUNC(ib_umem_odp_release, "", "");
KSYMTAB_FUNC(ib_umem_odp_map_dma_and_lock, "", "");
KSYMTAB_FUNC(ib_umem_odp_unmap_dma_pages, "", "");

SYMBOL_CRC(ib_uverbs_get_ucontext_file, 0x58c1796d, "");
SYMBOL_CRC(flow_resources_alloc, 0x999cc658, "");
SYMBOL_CRC(ib_uverbs_flow_resources_free, 0x40bf6ea5, "");
SYMBOL_CRC(flow_resources_add, 0x9bb50229, "");
SYMBOL_CRC(ib_copy_ah_attr_to_user, 0xa3f3bcc4, "");
SYMBOL_CRC(ib_copy_qp_attr_to_user, 0x033db662, "");
SYMBOL_CRC(ib_copy_path_rec_to_user, 0x36c34dc6, "");
SYMBOL_CRC(ib_copy_path_rec_from_user, 0x754b0000, "");
SYMBOL_CRC(uverbs_uobject_put, 0xf03ba3c1, "");
SYMBOL_CRC(uverbs_idr_class, 0x275ceeae, "");
SYMBOL_CRC(uverbs_uobject_fd_release, 0x0782143f, "");
SYMBOL_CRC(uverbs_fd_class, 0xce541c70, "");
SYMBOL_CRC(uverbs_destroy_def_handler, 0x93216c32, "");
SYMBOL_CRC(_uverbs_alloc, 0x353fd8c6, "");
SYMBOL_CRC(uverbs_get_flags64, 0xab2fc382, "");
SYMBOL_CRC(uverbs_set_flags64, 0xaec3dd01, "");
SYMBOL_CRC(uverbs_get_flags32, 0xc2eb536a, "");
SYMBOL_CRC(uverbs_copy_to, 0x78b1f859, "");
SYMBOL_CRC(_uverbs_get_const_signed, 0x67240753, "");
SYMBOL_CRC(_uverbs_get_const_unsigned, 0x8d158af1, "");
SYMBOL_CRC(uverbs_copy_to_struct_or_zero, 0xdfca3cbe, "");
SYMBOL_CRC(uverbs_finalize_uobj_create, 0x366882cc, "");
SYMBOL_CRC(ib_umem_find_best_pgsz, 0x348d88fe, "");
SYMBOL_CRC(ib_umem_get, 0xdf87f586, "");
SYMBOL_CRC(ib_umem_get_peer, 0xb0429ede, "");
SYMBOL_CRC(ib_umem_release, 0x3b820666, "");
SYMBOL_CRC(ib_umem_copy_from, 0xe222f89e, "");
SYMBOL_CRC(ib_umem_dmabuf_map_pages, 0xc3d22809, "");
SYMBOL_CRC(ib_umem_dmabuf_unmap_pages, 0xd6f52750, "");
SYMBOL_CRC(ib_umem_dmabuf_get, 0x02592c89, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned_with_dma_device, 0x22e7826a, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned, 0x24e0514b, "");
SYMBOL_CRC(ib_umem_dmabuf_revoke, 0x3bfc6d7b, "");
SYMBOL_CRC(ib_register_peer_memory_client, 0xce52221d, "");
SYMBOL_CRC(ib_unregister_peer_memory_client, 0xbde5c050, "");
SYMBOL_CRC(ib_umem_activate_invalidation_notifier, 0xd6d342f4, "");
SYMBOL_CRC(ib_umem_stop_invalidation_notifier, 0xfd66b7cb, "");
SYMBOL_CRC(ib_umem_odp_alloc_implicit, 0x1a433390, "");
SYMBOL_CRC(ib_umem_odp_alloc_child, 0x4becd13e, "");
SYMBOL_CRC(ib_umem_odp_get, 0x09e8f220, "");
SYMBOL_CRC(ib_umem_odp_release, 0xd06ddcf4, "");
SYMBOL_CRC(ib_umem_odp_map_dma_and_lock, 0xf01a953e, "");
SYMBOL_CRC(ib_umem_odp_unmap_dma_pages, 0x46ac5c34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaf7225a, "dma_buf_get" },
	{ 0x9203a7eb, "ib_query_port" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf07b07f6, "sg_free_append_table" },
	{ 0x4ca4b136, "nla_put" },
	{ 0x31f1c35, "ww_mutex_lock" },
	{ 0x2532c5d6, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xe27542b4, "ib_qp_usecnt_inc" },
	{ 0x1bf55b47, "dma_buf_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x4666f61d, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf90f01e7, "cleanup_srcu_struct" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8778b06, "ib_destroy_qp_user" },
	{ 0x992de6f8, "rdma_nl_get_privileged_qkey" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xffd5e327, "rdma_restrack_set_name" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x1f057e46, "mlx_backport_dependency_symbol" },
	{ 0x7fb1b757, "rdma_create_user_ah" },
	{ 0x4380853, "rdma_destroy_ah_user" },
	{ 0xc03401d0, "dma_buf_pin" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xf3e41360, "ib_destroy_cq_user" },
	{ 0x668b19a1, "down_read" },
	{ 0x81e12d4d, "__mmdrop" },
	{ 0x19d873e, "rdma_restrack_del" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xee306969, "set_page_dirty" },
	{ 0x745a981, "xa_erase" },
	{ 0xae821fd9, "__mmap_lock_do_trace_start_locking" },
	{ 0x4167bf33, "ib_rdmacg_uncharge" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x2a273054, "igrab" },
	{ 0x1316e00b, "ib_dma_virt_map_sg" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x5ec583cc, "mmput" },
	{ 0x2920590e, "dma_map_sgtable" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x5ac285ab, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xa9b4ea4, "__tracepoint_mmap_lock_start_locking" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa38d1236, "__mmap_lock_do_trace_released" },
	{ 0x6960241, "ib_alloc_xrcd_user" },
	{ 0x5b3e282f, "xa_store" },
	{ 0x755abc1, "__srcu_read_unlock" },
	{ 0xeb21df3d, "rdma_set_cq_moderation" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xaf53feb5, "ib_dealloc_xrcd_user" },
	{ 0x735f67a2, "dma_buf_detach" },
	{ 0x4ab6b304, "stream_open" },
	{ 0x583b0ce3, "mmu_interval_notifier_insert" },
	{ 0xb61b8d43, "mmput_async" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0xf7dd38e1, "ib_open_qp" },
	{ 0xf16cad3c, "ib_dealloc_pd_user" },
	{ 0x612385a6, "rdma_get_gid_attr" },
	{ 0xcbd96dc, "dma_unmap_sg_attrs" },
	{ 0x2806ca99, "rdma_port_get_link_layer" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xe327a7f8, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xc2d0397b, "rdma_restrack_new" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x8e39cdb0, "rdma_query_gid_table" },
	{ 0xcff7aecb, "get_task_pid" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xbe818bb8, "rdma_restrack_put" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xbef8feea, "ib_attach_mcast" },
	{ 0x9cda9292, "rdma_umap_priv_init" },
	{ 0x53b954a2, "up_read" },
	{ 0xcc5d22d9, "can_do_mlock" },
	{ 0xb0747b4a, "ib_destroy_wq_user" },
	{ 0x5f2b0466, "put_pid" },
	{ 0x8290b29f, "class_register" },
	{ 0x967842c7, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe0b1a832, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x6357d67, "rdma_user_mmap_entry_put" },
	{ 0x91c2b5d, "kobject_put" },
	{ 0x97dee8fd, "pin_user_pages_fast" },
	{ 0xc9d50b1e, "mmu_interval_notifier_remove" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xe9d5e0d5, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xa9850a9b, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x15da37c1, "ib_unregister_client" },
	{ 0xcaf764c1, "show_class_attr_string" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x3eb7683b, "unpin_user_pages_dirty_lock" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x65ad9634, "dev_set_name" },
	{ 0x77deeb71, "ibdev_warn" },
	{ 0xa6257a2f, "complete" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x3ba97089, "mmu_interval_read_begin" },
	{ 0x585fd996, "ib_create_qp_user" },
	{ 0x41ffc451, "dma_resv_wait_timeout" },
	{ 0xfd8a5fd0, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0xa671e964, "get_pid_task" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xc880a7c2, "kill_fasync" },
	{ 0xbac4ac6d, "dma_unmap_page_attrs" },
	{ 0x8c843487, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xb38eff3c, "fget" },
	{ 0x92f2c5d4, "__put_task_struct" },
	{ 0x78d038c8, "ib_query_srq" },
	{ 0x88543108, "ww_mutex_unlock" },
	{ 0x8780a8cc, "kobject_init" },
	{ 0x62ba62bd, "device_initialize" },
	{ 0x57703b09, "__dynamic_ibdev_dbg" },
	{ 0x4f47739f, "ib_rdmacg_try_charge" },
	{ 0x5680449d, "fd_install" },
	{ 0x69acdf38, "memcpy" },
	{ 0x93e8373e, "sg_alloc_append_table_from_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0x29fad192, "unpin_user_page_range_dirty_lock" },
	{ 0x1d40461, "iput" },
	{ 0x6131149c, "pcpu_hot" },
	{ 0x20cfc79c, "dma_buf_unpin" },
	{ 0xd46d2498, "zap_vma_ptes" },
	{ 0xaf21ee26, "ib_dereg_mr_user" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xd101a538, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xe2964344, "__wake_up" },
	{ 0xd5a61a34, "synchronize_srcu" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x5a11b221, "rdma_dev_access_netns" },
	{ 0xa2994799, "get_device" },
	{ 0x90bbc483, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x84820627, "__tracepoint_mmap_lock_released" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x6c466daa, "dma_buf_dynamic_attach" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x9fa75afc, "class_create_file_ns" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x6dc35b25, "radix_tree_iter_delete" },
	{ 0xf3869233, "ib_destroy_srq_user" },
	{ 0xca3be27f, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x5dd9a648, "hmm_range_fault" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf2ffda5a, "dma_map_page_attrs" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xb918d811, "cdev_device_add" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x46103288, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x8af267a2, "put_device" },
	{ 0x41efdeaf, "radix_tree_lookup_slot" },
	{ 0xc3fed23d, "ib_modify_qp_with_udata" },
	{ 0x1d94f153, "ib_register_event_handler" },
	{ 0x51dda622, "ib_detach_mcast" },
	{ 0x15439d9f, "dma_buf_map_attachment" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe222549b, "__free_pages" },
	{ 0x2ee67c8c, "ib_unregister_event_handler" },
	{ 0xc6cbbc89, "capable" },
	{ 0x275a4019, "module_put" },
	{ 0x51ccba37, "ib_register_client" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x411105d2, "compat_ptr_ioctl" },
	{ 0x5378d8dc, "ib_create_srq_user" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6a4f623b, "mmu_notifier_synchronize" },
	{ 0xb20a8948, "__task_pid_nr_ns" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8fca0669, "init_srcu_struct" },
	{ 0xc6eecdef, "fput" },
	{ 0x9184ffe2, "ib_set_client_data" },
	{ 0x57bc19d2, "down_write" },
	{ 0xa2dec2b7, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x46a1711e, "dma_buf_unmap_attachment" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2c541e7b, "radix_tree_next_chunk" },
	{ 0xfcadfcea, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x6947e605, "rdma_put_gid_attr" },
	{ 0x954cef6f, "init_on_alloc" },
	{ 0xb04a43ad, "__xa_alloc_cyclic" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe88dbce, "module_layout" },
};

MODULE_INFO(depends, "ib_core,mlx_compat");

