#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx5_core_create_nvmf_backend_ctrl, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_destroy_nvmf_backend_ctrl, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_attach_nvmf_ns, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_detach_nvmf_ns, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_query_nvmf_ns, "_gpl", "");

SYMBOL_CRC(mlx5_core_create_nvmf_backend_ctrl, 0xe7d751cb, "_gpl");
SYMBOL_CRC(mlx5_core_destroy_nvmf_backend_ctrl, 0x364228cb, "_gpl");
SYMBOL_CRC(mlx5_core_attach_nvmf_ns, 0x8f6dac43, "_gpl");
SYMBOL_CRC(mlx5_core_detach_nvmf_ns, 0x7ed5b550, "_gpl");
SYMBOL_CRC(mlx5_core_query_nvmf_ns, 0x48ad6f66, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfd66b7cb, "ib_umem_stop_invalidation_notifier" },
	{ 0xe3e84bf7, "mlx5_core_query_vport_counter" },
	{ 0x58c1796d, "ib_uverbs_get_ucontext_file" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0x90f02866, "__ib_create_cq" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa2b0b530, "mlx5_query_port_max_mtu" },
	{ 0x8778b06, "ib_destroy_qp_user" },
	{ 0x67240753, "_uverbs_get_const_signed" },
	{ 0x8b469a74, "mlx5_query_hca_vport_gid" },
	{ 0x1bca72ed, "mlx5_frag_buf_free" },
	{ 0xd221492f, "mlx5_nic_vport_disable_roce" },
	{ 0xce541c70, "uverbs_fd_class" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x96ae8483, "dma_sync_single_for_cpu" },
	{ 0xc1bb92b1, "mlx5_notifier_unregister" },
	{ 0xfb578fc5, "memset" },
	{ 0x33577862, "_dev_warn" },
	{ 0xe5ad0cad, "mlx5_create_lag_demux_flow_table" },
	{ 0x51763c2c, "mlx5_cmd_exec_cb" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0x7887b198, "mlx5_lag_get_num_ports" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xe7a3cba5, "mlx5_rl_remove_rate" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x6ba4a9c4, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdd74abf6, "mlx5_eswitch_register_vport_reps" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x8ca4dbdf, "mlx5_core_modify_cq" },
	{ 0x1f057e46, "mlx_backport_dependency_symbol" },
	{ 0xd6d342f4, "ib_umem_activate_invalidation_notifier" },
	{ 0xece784c2, "rb_first" },
	{ 0xd4982c16, "mlx5_eswitch_vport_match_metadata_enabled" },
	{ 0x4c8a522e, "ib_dealloc_device" },
	{ 0x4ee3541e, "mlx5_blocking_notifier_unregister" },
	{ 0x385796d8, "mlx5_fc_query" },
	{ 0xf3e41360, "ib_destroy_cq_user" },
	{ 0x4fca82e7, "rdma_user_mmap_io" },
	{ 0xd8742ca2, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8f715b21, "skb_trim" },
	{ 0x81e12d4d, "__mmdrop" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0x3ab76d6f, "ib_modify_qp" },
	{ 0xa906ffee, "mlx5_eswitch_get_core_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f7f7bb4, "irq_poll_disable" },
	{ 0x96d85e1e, "dma_set_coherent_mask" },
	{ 0xf804233f, "rdma_user_mmap_entry_insert_range" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xa4b32d29, "pv_ops" },
	{ 0x24e0514b, "ib_umem_dmabuf_get_pinned" },
	{ 0x14518505, "ib_wc_status_msg" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd34ebc7a, "mlx5_core_set_dc_cnak_trace" },
	{ 0x63776294, "ib_device_get_netdev" },
	{ 0xd6f52750, "ib_umem_dmabuf_unmap_pages" },
	{ 0xb0429ede, "ib_umem_get_peer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x2720f333, "mlx5_eswitch_get_proto_dev" },
	{ 0x8622fa94, "debugfs_create_file" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf4b8d2a7, "dma_free_attrs" },
	{ 0xdfca3cbe, "uverbs_copy_to_struct_or_zero" },
	{ 0x40bf6ea5, "ib_uverbs_flow_resources_free" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf01a953e, "ib_umem_odp_map_dma_and_lock" },
	{ 0x1b73bb48, "ib_free_cq" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xabf4931b, "mlx5_eq_notifier_unregister" },
	{ 0x9c4ec8f5, "mlx5_comp_eqn_get" },
	{ 0xd75f6fe5, "mlx5_query_port_vl_hw_cap" },
	{ 0x74fe7087, "mlx5_query_hca_vport_pkey" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x488602ff, "mlx5_core_uplink_netdev_event_replay" },
	{ 0x5ac285ab, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xabfd37b1, "mlx5_frag_buf_alloc_node" },
	{ 0x25636ad9, "netdev_master_upper_dev_get_rcu" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x97a913a7, "roce_del_all_netdev_gids" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x8bb424d1, "netdev_master_upper_dev_get" },
	{ 0x353fd8c6, "_uverbs_alloc" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xf7de9e96, "mlx5_fc_destroy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x454c9580, "mlx5_lag_is_master" },
	{ 0x4211debe, "mlx5_nic_vport_unaffiliate_multiport" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5b3e282f, "xa_store" },
	{ 0x3631cfd1, "rdma_roce_rescan_port" },
	{ 0xe6d7ce5c, "mlx5_query_hca_vport_context" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x4a62451f, "ib_query_pkey" },
	{ 0xf03ba3c1, "uverbs_uobject_put" },
	{ 0x3bfc6d7b, "ib_umem_dmabuf_revoke" },
	{ 0x1850604c, "mlx5_core_roce_gid_set" },
	{ 0xc9189112, "kobject_uevent" },
	{ 0xb633f115, "irq_poll_enable" },
	{ 0x76b56da2, "mlx5_query_port_oper_mtu" },
	{ 0x9757fd32, "mlx5_nic_vport_enable_roce" },
	{ 0x7401795f, "ib_port_immutable_read" },
	{ 0x2e5f03c, "pci_disable_device" },
	{ 0x78158a62, "ib_create_qp_kernel" },
	{ 0xaff12a85, "boot_cpu_data" },
	{ 0x78b1f859, "uverbs_copy_to" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xca9beaa4, "__xa_store" },
	{ 0xca9fd486, "mlx5_blocking_notifier_register" },
	{ 0x9bb50229, "flow_resources_add" },
	{ 0x20751a7c, "mlx5_core_modify_rq" },
	{ 0x4feffa74, "mlx5_core_query_mkey" },
	{ 0xde0a99cf, "dma_set_mask" },
	{ 0xb32bfaef, "__auxiliary_driver_register" },
	{ 0xa05efee9, "mlx5_db_alloc_node" },
	{ 0x4af55b4c, "rdma_nl_stat_hwcounter_entry" },
	{ 0x93216c32, "uverbs_destroy_def_handler" },
	{ 0x2faf07ea, "mlx5_qp_debugfs_init" },
	{ 0xf16cad3c, "ib_dealloc_pd_user" },
	{ 0x824501ce, "pci_vpd_alloc" },
	{ 0x4d4dc4b3, "mlx5_core_modify_tis" },
	{ 0x14185f63, "mlx5_core_mp_event_replay" },
	{ 0x4f7b69af, "mlx5_comp_vectors_max" },
	{ 0x2d881a28, "mlx5_create_cq" },
	{ 0x2806ca99, "rdma_port_get_link_layer" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xe327a7f8, "kmalloc_trace" },
	{ 0x221139dd, "mlx5_eswitch_get_total_vports" },
	{ 0x49e3289a, "mlx5_core_destroy_cq" },
	{ 0xee13d753, "mlx5_core_reserved_gids_count" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x2112b3bb, "mlx5_debugfs_root" },
	{ 0x754d539c, "strlen" },
	{ 0xdf0f75c6, "eventfd_signal" },
	{ 0x2ffaa355, "mlx5_core_modify_cq_moderation" },
	{ 0xe222f89e, "ib_umem_copy_from" },
	{ 0x13b695d8, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x737ae807, "mlx5_qp_debugfs_cleanup" },
	{ 0xbe818bb8, "rdma_restrack_put" },
	{ 0x950d926b, "mlx5_eq_disable" },
	{ 0x9114ecdc, "mlx5_cmd_cleanup_async_ctx" },
	{ 0x46238fe9, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x23bb3f50, "mlx5_create_flow_table" },
	{ 0x66dfca61, "mlx5_rl_remove_rate_raw" },
	{ 0x3f780d24, "rdma_roce_rescan_device" },
	{ 0xb28dbbe8, "mlx5_destroy_flow_group" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x317dca37, "mlx5_alloc_bfreg" },
	{ 0x6471b668, "mlx5_eq_destroy_generic" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4c681541, "rdma_nl_put_driver_string" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1334beb4, "mlx5_lag_is_active" },
	{ 0x983dafd1, "mlx5_free_bfreg" },
	{ 0xe0b1a832, "kmalloc_caches" },
	{ 0xfbf0f441, "mlx5_cmd_destroy_vport_lag" },
	{ 0x133ee13e, "ib_set_device_ops" },
	{ 0x6357d67, "rdma_user_mmap_entry_put" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa83e383, "mlx5_core_access_reg" },
	{ 0x91c2b5d, "kobject_put" },
	{ 0x72460c4, "mlx5_fill_page_frag_array" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x70d9b846, "mlx5_eswitch_add_send_to_vport_rule" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x78295ded, "mlx5_modify_header_alloc" },
	{ 0xf0bad288, "mlx5_dm_sw_icm_dealloc" },
	{ 0x3b820666, "ib_umem_release" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xfc54605f, "mlx5_db_free" },
	{ 0x3896ad64, "mlx5_core_destroy_mkey" },
	{ 0xdaa0264d, "mlx5_eswitch_mode" },
	{ 0xb64d011b, "mlx5_cmd_check" },
	{ 0x680e3cfd, "__rdma_block_iter_start" },
	{ 0xfb1be6fe, "param_ops_uint" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0xd977d14d, "mlx5_lag_is_roce" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xf81156a0, "pci_enable_device" },
	{ 0xfd1937b3, "mlx5_rl_add_rate_raw" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x94de42d2, "mlx5_lag_query_cong_counters" },
	{ 0xc2eb536a, "uverbs_get_flags32" },
	{ 0xe924db85, "mlx5_rsc_dump_cmd_create" },
	{ 0x77bc13a0, "strim" },
	{ 0x275ceeae, "uverbs_idr_class" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x893c493e, "pci_enable_atomic_ops_to_root" },
	{ 0x5f1d9540, "mlx5_core_destroy_psv" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x80ae7d07, "mlx5_eq_enable" },
	{ 0xa85e04b7, "mlx5_flow_table_id" },
	{ 0x946ec915, "mlx5_core_alloc_pd" },
	{ 0xdfca1c33, "rdma_read_gid_l2_fields" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x73999e74, "__ib_alloc_pd" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf793478c, "mlx5_lag_get_next_peer_mdev" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xad6815cd, "mlx5_rsc_dump_cmd_destroy" },
	{ 0x5acf76c8, "register_netdevice_notifier_dev_net" },
	{ 0xbac4ac6d, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x797b1695, "mlx5_query_nic_vport_qkey_viol_cntr" },
	{ 0xb99a903d, "ib_modify_qp_is_ok" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0x609bcd98, "in6_pton" },
	{ 0xb01e32b9, "__pci_register_driver" },
	{ 0xfb24aeec, "mlx5_nic_vport_update_local_lb" },
	{ 0xcf2a6966, "up" },
	{ 0x22e7826a, "ib_umem_dmabuf_get_pinned_with_dma_device" },
	{ 0x88543108, "ww_mutex_unlock" },
	{ 0xfd9ecfac, "dma_sync_single_for_device" },
	{ 0x61492bb7, "mlx5_rl_are_equal" },
	{ 0x5c6e2b0d, "mlx5_create_flow_group" },
	{ 0x782143f, "uverbs_uobject_fd_release" },
	{ 0x6b2f5b8b, "debugfs_create_atomic_t" },
	{ 0xa5f061d, "mlx5_core_create_psv" },
	{ 0x348d88fe, "ib_umem_find_best_pgsz" },
	{ 0x787bf2a3, "mlx5_core_modify_hca_vport_context" },
	{ 0xfd95b380, "mlx5_rl_add_rate" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x7b1d541f, "mlx5_eq_update_ci" },
	{ 0x888a2246, "mlx5_create_auto_grouped_flow_table" },
	{ 0xeb833f8d, "mlx5_core_create_mkey" },
	{ 0xed4274c4, "mlx5_cmd_do" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5d0f033b, "mlx5_debug_qp_add" },
	{ 0x6677a834, "ib_sg_to_pages" },
	{ 0x6831069, "remap_pfn_range" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x61373fd2, "__rdma_block_iter_next" },
	{ 0x37a0cba, "kfree" },
	{ 0x4c56e39a, "rdma_query_gid" },
	{ 0xed76e938, "kobject_get_path" },
	{ 0xcadd852e, "mlx5_fc_create" },
	{ 0x2c819737, "mlx5_cmd_out_err" },
	{ 0x5621a74a, "mlx5_core_create_rqt" },
	{ 0xba5a4e51, "mlx5_core_query_vendor_id" },
	{ 0x4c9a0631, "mlx5_query_hca_vport_node_guid" },
	{ 0x6b90b1bf, "mlx5_modify_header_dealloc" },
	{ 0x6131149c, "pcpu_hot" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x4becd13e, "ib_umem_odp_alloc_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xaf21ee26, "ib_dereg_mr_user" },
	{ 0xf8f96445, "mlx5_lag_is_sriov" },
	{ 0x2673f906, "ib_process_cq_direct" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xa1af3280, "mlx5_lag_is_mpesw" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xff43ed8d, "rdma_restrack_get" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x366882cc, "uverbs_finalize_uobj_create" },
	{ 0xa2994799, "get_device" },
	{ 0x84b77ea1, "mlx5_eswitch_get_encap_mode" },
	{ 0x6639060a, "mlx5_rsc_dump_next" },
	{ 0x90bbc483, "ib_query_qp" },
	{ 0xd3354a6, "rdma_alloc_hw_stats_struct" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x539a8b3d, "_ib_alloc_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbdf689b, "__dynamic_dev_dbg" },
	{ 0xc2ff4d70, "mlx5_debugfs_get_dev_root" },
	{ 0x999cc658, "flow_resources_alloc" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xdb7e4adf, "mlx5_core_query_rq" },
	{ 0x77d3701a, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0xf172fd45, "mlx5_packet_reformat_dealloc" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x1a433390, "ib_umem_odp_alloc_implicit" },
	{ 0x6b57680d, "dev_driver_string" },
	{ 0xf3869233, "ib_destroy_srq_user" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0x4fb2e624, "ib_unregister_device" },
	{ 0x551cd22, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf2ffda5a, "dma_map_page_attrs" },
	{ 0xeb8663b2, "auxiliary_driver_unregister" },
	{ 0x3adbd3cd, "mlx5_cmd_exec" },
	{ 0xafb6be7a, "mlx5_eq_get_eqe" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4d6142f3, "mlx5_core_dealloc_pd" },
	{ 0x1953c958, "mempool_create" },
	{ 0x22a309bd, "mlx5_rdma_rn_get_params" },
	{ 0xac5fcec0, "in4_pton" },
	{ 0x1000e51, "schedule" },
	{ 0xfe639c8b, "mlx5_wc_support_get" },
	{ 0x364e2841, "ib_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x8af267a2, "put_device" },
	{ 0xdc43bdc6, "pci_vpd_find_ro_info_keyword" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x7d4ff56a, "mlx5_lag_mode_is_hash" },
	{ 0xf8e95e73, "mlx5_debug_qp_remove" },
	{ 0xdf04d433, "pcie_relaxed_ordering_enabled" },
	{ 0xc3762aec, "mempool_alloc" },
	{ 0xc545a25e, "mlx5_eq_notifier_register" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe222549b, "__free_pages" },
	{ 0xa0e129e8, "mlx5_core_create_tis" },
	{ 0x18e76fd4, "mlx5_nic_vport_affiliate_multiport" },
	{ 0xcd438754, "_dev_info" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0xc6cbbc89, "capable" },
	{ 0x72512512, "mlx5_cmd_create_vport_lag" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7049e5f9, "mlx5_query_min_inline" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xacce566b, "mlx5_core_create_rq" },
	{ 0x71319d13, "mlx5_eswitch_get_vport_metadata_for_match" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x853112f6, "mlx5_packet_reformat_alloc" },
	{ 0x5378d8dc, "ib_create_srq_user" },
	{ 0xbf3ae475, "rdma_user_mmap_entry_remove" },
	{ 0x8d158af1, "_uverbs_get_const_unsigned" },
	{ 0x45fccad2, "unregister_netdevice_notifier_dev_net" },
	{ 0x9a2ad306, "ib_dispatch_event" },
	{ 0x5f576de2, "vm_insert_page" },
	{ 0x5e699972, "mlx5_lag_is_shared_fdb" },
	{ 0xd06ddcf4, "ib_umem_odp_release" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x20e7fd65, "mlx5_query_nic_vport_system_image_guid" },
	{ 0xc2d81c76, "mlx5_eswitch_unregister_vport_reps" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4a5adfe3, "mlx5_notifier_register" },
	{ 0x188fd4f8, "mlx5_core_create_cq" },
	{ 0x57bc19d2, "down_write" },
	{ 0xb403ace1, "mlx5_dm_sw_icm_alloc" },
	{ 0xa2dec2b7, "_dev_err" },
	{ 0xfde1eeda, "mlx5_is_roce_on" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xd0f95c2, "mlx5_add_flow_rules" },
	{ 0x2d57bdaf, "simple_open" },
	{ 0xcc002b85, "mlx5_destroy_flow_table" },
	{ 0x70ec56d2, "mlx5_eswitch_uplink_get_proto_dev" },
	{ 0xa77d8d46, "mlx5_get_flow_namespace" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x96eb2c99, "mlx5_fc_id" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x9e8f220, "ib_umem_odp_get" },
	{ 0x6626afca, "down" },
	{ 0xc3afa725, "mlx5_query_port_ptys" },
	{ 0x23ba3666, "ib_device_set_netdev" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc9bdaf2c, "mlx5_cmd_init_async_ctx" },
	{ 0x2b4df055, "mlx5_eq_create_generic" },
	{ 0xa78504ef, "mlx5_put_uars_page" },
	{ 0x4dda2873, "dma_alloc_attrs" },
	{ 0xe28c723f, "mlx5_lag_get_slave_port" },
	{ 0xc3d22809, "ib_umem_dmabuf_map_pages" },
	{ 0x5b939c65, "mlx5_get_uars_page" },
	{ 0xc100381c, "debugfs_remove" },
	{ 0x19e5ef4e, "mlx5_query_ib_port_oper" },
	{ 0x9203a7eb, "ib_query_port" },
	{ 0xc0f329dc, "__ib_alloc_cq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xd3c4353d, "mlx5_query_nic_vport_node_guid" },
	{ 0x4ca4b136, "nla_put" },
	{ 0x31f1c35, "ww_mutex_lock" },
	{ 0xf7991ffd, "mlx5_set_port_caps" },
	{ 0x64b77102, "rdma_user_mmap_entry_get_pgoff" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xc058797, "mlx5_del_flow_rules" },
	{ 0x46ac5c34, "ib_umem_odp_unmap_dma_pages" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xb623aa85, "kobject_init_and_add" },
	{ 0xf1991451, "mlx5_core_modify_sq" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0x2592c89, "ib_umem_dmabuf_get" },
	{ 0x273f4fe5, "mlx5_query_hca_vport_system_image_guid" },
	{ 0x548301ed, "mlx5_core_query_sq_state" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe88dbce, "module_layout" },
};

MODULE_INFO(depends, "ib_uverbs,mlx5_core,ib_core,mlx_compat");

