#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx5_core_uplink_netdev_event_replay, "", "");
KSYMTAB_FUNC(mlx5_core_mp_event_replay, "", "");
KSYMTAB_FUNC(mlx5_is_roce_on, "", "");
KSYMTAB_FUNC(mlx5_vf_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_vf_put_core_dev, "", "");
KSYMTAB_FUNC(mlx5_cmd_out_err, "", "");
KSYMTAB_FUNC(mlx5_cmd_check, "", "");
KSYMTAB_FUNC(mlx5_cmd_do, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_polling, "", "");
KSYMTAB_FUNC(mlx5_cmd_init_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_cleanup_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_cb, "", "");
KSYMTAB_DATA(mlx5_debugfs_root, "", "");
KSYMTAB_FUNC(mlx5_debugfs_get_dev_root, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_init, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_cleanup, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_add, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_remove, "", "");
KSYMTAB_FUNC(mlx5_core_query_vendor_id, "", "");
KSYMTAB_FUNC(mlx5_eq_enable, "", "");
KSYMTAB_FUNC(mlx5_eq_disable, "", "");
KSYMTAB_FUNC(mlx5_eq_create_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_destroy_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_get_eqe, "", "");
KSYMTAB_FUNC(mlx5_eq_update_ci, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_get, "", "");
KSYMTAB_FUNC(mlx5_comp_vectors_max, "", "");
KSYMTAB_FUNC(mlx5_comp_vector_get_cpu, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_get_uars_page, "", "");
KSYMTAB_FUNC(mlx5_put_uars_page, "", "");
KSYMTAB_FUNC(mlx5_alloc_bfreg, "", "");
KSYMTAB_FUNC(mlx5_free_bfreg, "", "");
KSYMTAB_FUNC(mlx5_pcie_print_link_status, "", "");
KSYMTAB_FUNC(mlx5_core_attach_mcg, "", "");
KSYMTAB_FUNC(mlx5_core_detach_mcg, "", "");
KSYMTAB_FUNC(mlx5_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_cq, "", "");
KSYMTAB_FUNC(mlx5_core_query_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq_moderation, "", "");
KSYMTAB_FUNC(mlx5_frag_buf_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_frag_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array_perm, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array, "_gpl", "");
KSYMTAB_FUNC(mlx5_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_caps, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ptys, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_ib_port_oper, "", "");
KSYMTAB_FUNC(mlx5_toggle_port_link, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_max_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_oper_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_num, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom_by_page, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_vl_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_query_gids, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_query_pkeys, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_query_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_query_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_create_psv, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_psv, "", "");
KSYMTAB_FUNC(mlx5_core_get_terminate_scatter_list_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_create_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_rq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rq, "", "");
KSYMTAB_FUNC(mlx5_core_query_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq_state, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_tir, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tir, "", "");
KSYMTAB_FUNC(mlx5_core_create_tis, "", "");
KSYMTAB_FUNC(mlx5_core_modify_tis, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tis, "", "");
KSYMTAB_FUNC(mlx5_core_create_rqt, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rqt, "", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_vlans, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_vlans, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_qkey_viol_cntr, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_gid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_pkey, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_update_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_query_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_enable_roce, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_disable_roce, "", "");
KSYMTAB_FUNC(mlx5_core_query_vport_counter, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_modify_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_affiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_unaffiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_vport_get_other_func_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_create_flow_table, "", "");
KSYMTAB_FUNC(mlx5_flow_table_id, "", "");
KSYMTAB_FUNC(mlx5_create_lag_demux_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_auto_grouped_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_flow_group, "", "");
KSYMTAB_FUNC(mlx5_add_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_del_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_table, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_group, "", "");
KSYMTAB_FUNC(mlx5_get_fdb_sub_ns, "", "");
KSYMTAB_FUNC(mlx5_get_flow_namespace, "", "");
KSYMTAB_FUNC(mlx5_fs_add_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_fs_remove_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_modify_header_alloc, "", "");
KSYMTAB_FUNC(mlx5_modify_header_dealloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_alloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_dealloc, "", "");
KSYMTAB_FUNC(mlx5_msix_alloc, "", "");
KSYMTAB_FUNC(mlx5_msix_free, "", "");
KSYMTAB_FUNC(mlx5_fc_create, "", "");
KSYMTAB_FUNC(mlx5_fc_id, "", "");
KSYMTAB_FUNC(mlx5_fc_destroy, "", "");
KSYMTAB_FUNC(mlx5_fc_query, "", "");
KSYMTAB_FUNC(mlx5_rl_is_in_range, "", "");
KSYMTAB_FUNC(mlx5_rl_are_equal, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate, "", "");
KSYMTAB_FUNC(mlx5_cmd_create_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_cmd_destroy_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_lag_is_roce, "", "");
KSYMTAB_FUNC(mlx5_lag_is_active, "", "");
KSYMTAB_FUNC(mlx5_lag_mode_is_hash, "", "");
KSYMTAB_FUNC(mlx5_lag_is_master, "", "");
KSYMTAB_FUNC(mlx5_lag_is_sriov, "", "");
KSYMTAB_FUNC(mlx5_lag_is_shared_fdb, "", "");
KSYMTAB_FUNC(mlx5_lag_get_slave_port, "", "");
KSYMTAB_FUNC(mlx5_lag_get_num_ports, "", "");
KSYMTAB_FUNC(mlx5_lag_get_next_peer_mdev, "", "");
KSYMTAB_FUNC(mlx5_lag_query_cong_counters, "", "");
KSYMTAB_FUNC(mlx5_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_core_reserved_gids_count, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_roce_gid_set, "", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_dealloc, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fw, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fw, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_create, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_destroy, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_next, "", "");
KSYMTAB_FUNC(mlx5_core_set_dc_cnak_trace, "_gpl", "");
KSYMTAB_FUNC(mlx5_wc_support_get, "", "");
KSYMTAB_FUNC(mlx5_lag_is_mpesw, "", "");
KSYMTAB_FUNC(mlx5_eswitch_mode, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_encap_mode, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_total_vports, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_add_send_to_vport_rule, "", "");
KSYMTAB_FUNC(mlx5_eswitch_register_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_unregister_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_uplink_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_rep, "", "");
KSYMTAB_FUNC(mlx5_eswitch_reg_c1_loopback_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_match_metadata_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_match, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_set, "", "");
KSYMTAB_FUNC(mlx5_mpfs_add_mac, "", "");
KSYMTAB_FUNC(mlx5_mpfs_del_mac, "", "");
KSYMTAB_FUNC(mlx5_rdma_rn_get_params, "", "");

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0x488602ff, "");
SYMBOL_CRC(mlx5_core_mp_event_replay, 0x14185f63, "");
SYMBOL_CRC(mlx5_is_roce_on, 0xfde1eeda, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0xb14a5cd1, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0xb40c7e3c, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0x2c819737, "");
SYMBOL_CRC(mlx5_cmd_check, 0xb64d011b, "");
SYMBOL_CRC(mlx5_cmd_do, 0xed4274c4, "");
SYMBOL_CRC(mlx5_cmd_exec, 0x3adbd3cd, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0x170d81c8, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0xc9bdaf2c, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0x9114ecdc, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0x51763c2c, "");
SYMBOL_CRC(mlx5_debugfs_root, 0x2112b3bb, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0xc2ff4d70, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0x2faf07ea, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0x737ae807, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0x5d0f033b, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0xf8e95e73, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0xba5a4e51, "");
SYMBOL_CRC(mlx5_eq_enable, 0x80ae7d07, "");
SYMBOL_CRC(mlx5_eq_disable, 0x950d926b, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0x2b4df055, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0x6471b668, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0xafb6be7a, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0x7b1d541f, "");
SYMBOL_CRC(mlx5_comp_eqn_get, 0x9c4ec8f5, "");
SYMBOL_CRC(mlx5_comp_vectors_max, 0x4f7b69af, "");
SYMBOL_CRC(mlx5_comp_vector_get_cpu, 0xdc617f22, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0xc545a25e, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0xabf4931b, "");
SYMBOL_CRC(mlx5_get_uars_page, 0x5b939c65, "");
SYMBOL_CRC(mlx5_put_uars_page, 0xa78504ef, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0x317dca37, "");
SYMBOL_CRC(mlx5_free_bfreg, 0x983dafd1, "");
SYMBOL_CRC(mlx5_pcie_print_link_status, 0x0e8441dd, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0xcf45f5e4, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0x4a363f11, "");
SYMBOL_CRC(mlx5_create_cq, 0x2d881a28, "");
SYMBOL_CRC(mlx5_core_create_cq, 0x188fd4f8, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0x49e3289a, "");
SYMBOL_CRC(mlx5_core_query_cq, 0xe5e0b11d, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0x8ca4dbdf, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0x2ffaa355, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0xabfd37b1, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0x1bca72ed, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0xa05efee9, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0xfc54605f, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0x35e769c3, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0x0a83e383, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0xf7991ffd, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0xc3afa725, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0x19e5ef4e, "");
SYMBOL_CRC(mlx5_toggle_port_link, 0x6a7d7fb8, "_gpl");
SYMBOL_CRC(mlx5_set_port_admin_status, 0x63373514, "_gpl");
SYMBOL_CRC(mlx5_query_port_admin_status, 0x9f4b68f1, "_gpl");
SYMBOL_CRC(mlx5_set_port_mtu, 0x7caeb22f, "_gpl");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0xa2b0b530, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0x76b56da2, "_gpl");
SYMBOL_CRC(mlx5_query_module_num, 0x451c64c8, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom, 0xa2129e83, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom_by_page, 0x686bb35f, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0xd75f6fe5, "_gpl");
SYMBOL_CRC(mlx5_set_port_pause, 0xe71a408a, "_gpl");
SYMBOL_CRC(mlx5_query_port_pause, 0xa0c564fa, "_gpl");
SYMBOL_CRC(mlx5_set_port_pfc, 0xc85cf6f4, "_gpl");
SYMBOL_CRC(mlx5_query_port_pfc, 0xff45b5ef, "_gpl");
SYMBOL_CRC(mlx5_set_port_prio_tc, 0xaf23d3a8, "_gpl");
SYMBOL_CRC(mlx5_query_port_prio_tc, 0xc81d8445, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_group, 0x335f1c17, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_group, 0x47315102, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_bw_alloc, 0x7af0a906, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_bw_alloc, 0x2ced9d8b, "_gpl");
SYMBOL_CRC(mlx5_modify_port_ets_rate_limit, 0x9c1ff725, "_gpl");
SYMBOL_CRC(mlx5_query_port_ets_rate_limit, 0x003c9983, "_gpl");
SYMBOL_CRC(mlx5_set_port_wol, 0xaab1118c, "_gpl");
SYMBOL_CRC(mlx5_query_port_wol, 0x8c518662, "_gpl");
SYMBOL_CRC(mlx5_core_query_gids, 0xb2916998, "_gpl");
SYMBOL_CRC(mlx5_core_query_pkeys, 0x52c30607, "_gpl");
SYMBOL_CRC(mlx5_core_query_hca_vport_context, 0x4b6ca883, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0xeb833f8d, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0x3896ad64, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0x4feffa74, "");
SYMBOL_CRC(mlx5_core_create_psv, 0x0a5f061d, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0x5f1d9540, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0x8e13291d, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0x946ec915, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0x4d6142f3, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0x7a61d5af, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0x4396da05, "");
SYMBOL_CRC(mlx5_core_create_rq, 0xacce566b, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0x20751a7c, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0x5c026f2f, "");
SYMBOL_CRC(mlx5_core_query_rq, 0xdb7e4adf, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0xf1991451, "");
SYMBOL_CRC(mlx5_core_query_sq, 0x0a9244f2, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0x548301ed, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0xe5ef9993, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0xea600a03, "");
SYMBOL_CRC(mlx5_core_create_tis, 0xa0e129e8, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0x4d4dc4b3, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0xfc49b893, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0x5621a74a, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0x516a51d5, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0x97045dfe, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0x7049e5f9, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0xbdca1070, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0x3dfaf9e7, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0xf5d923eb, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0x583dcdc0, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0x5fe44ec5, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0x0bf2e146, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0xf4f21cc9, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_vlans, 0xef3a1372, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0x2a6290ba, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0x20e7fd65, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0xd3c4353d, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0x797b1695, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0x8b469a74, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0x74fe7087, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0xe6d7ce5c, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0x273f4fe5, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0x4c9a0631, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0x7eb9335e, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0xd86d75b0, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0xfb24aeec, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0xb6e84d8a, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0x9757fd32, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0xd221492f, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0xe3e84bf7, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0x787bf2a3, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0x18e76fd4, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0x4211debe, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0x52a5add1, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0x88f5bc05, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0xc27e2923, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0x865090fd, "");
SYMBOL_CRC(mlx5_create_flow_table, 0x23bb3f50, "");
SYMBOL_CRC(mlx5_flow_table_id, 0xa85e04b7, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0xe5ad0cad, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0x888a2246, "");
SYMBOL_CRC(mlx5_create_flow_group, 0x5c6e2b0d, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0x0d0f95c2, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0x0c058797, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0xcc002b85, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0xb28dbbe8, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0xd2bed527, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0xa77d8d46, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0x46f8b3c0, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0x51c9b41c, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0x78295ded, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0x6b90b1bf, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0x853112f6, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0xf172fd45, "");
SYMBOL_CRC(mlx5_msix_alloc, 0x9090463b, "");
SYMBOL_CRC(mlx5_msix_free, 0x42df68c5, "");
SYMBOL_CRC(mlx5_fc_create, 0xcadd852e, "");
SYMBOL_CRC(mlx5_fc_id, 0x96eb2c99, "");
SYMBOL_CRC(mlx5_fc_destroy, 0xf7de9e96, "");
SYMBOL_CRC(mlx5_fc_query, 0x385796d8, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0x1ab7ac0c, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0xfd1937b3, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0x66dfca61, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0xfd95b380, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0xe7a3cba5, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0x72512512, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0xfbf0f441, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0xd977d14d, "");
SYMBOL_CRC(mlx5_lag_is_active, 0x1334beb4, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0x7d4ff56a, "");
SYMBOL_CRC(mlx5_lag_is_master, 0x454c9580, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0xf8f96445, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0x5e699972, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0xe28c723f, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0x7887b198, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0xf793478c, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0x94de42d2, "");
SYMBOL_CRC(mlx5_notifier_register, 0x4a5adfe3, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0xc1bb92b1, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0xca9fd486, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0x4ee3541e, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0xee13d753, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0x1850604c, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0xb403ace1, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0xf0bad288, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0x886e5ae7, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0xab521f6e, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0x823a9fd4, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_ft, 0xb4e976bb, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0x217aed24, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0xd020dd1f, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0x2b2e2817, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_ft, 0xe30fb2a8, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0xe9811b75, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0x1c57c524, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0xe3d5de46, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_fg, 0x9d36ddd0, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0x4095acb6, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0xba5c2f4f, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0x4ac16985, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fg, 0xcad019c3, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0xc1bb52fd, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0xdab997cf, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0x7e61672e, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_set_fte, 0xb06c0bfd, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0x5840ea39, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0xb5e6a231, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0xe79adfea, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fte, 0xacfe8a18, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0xace0daf9, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0x1e7ecc15, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0xb38583a2, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_rule, 0xdb622108, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0x1932d14f, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0x3d3b49a9, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0x06578814, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_rule, 0x62dc190a, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0x94a173c4, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0x79912979, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0x40ae20a7, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fw, 0xdfbc08aa, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0xe924db85, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0x6639060a, "");
SYMBOL_CRC(mlx5_core_set_dc_cnak_trace, 0xd34ebc7a, "_gpl");
SYMBOL_CRC(mlx5_wc_support_get, 0xfe639c8b, "");
SYMBOL_CRC(mlx5_lag_is_mpesw, 0xa1af3280, "");
SYMBOL_CRC(mlx5_eswitch_mode, 0xdaa0264d, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_encap_mode, 0x84b77ea1, "");
SYMBOL_CRC(mlx5_eswitch_get_total_vports, 0x221139dd, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_core_dev, 0xa906ffee, "");
SYMBOL_CRC(mlx5_eswitch_add_send_to_vport_rule, 0x70d9b846, "");
SYMBOL_CRC(mlx5_eswitch_register_vport_reps, 0xdd74abf6, "");
SYMBOL_CRC(mlx5_eswitch_unregister_vport_reps, 0xc2d81c76, "");
SYMBOL_CRC(mlx5_eswitch_get_proto_dev, 0x2720f333, "");
SYMBOL_CRC(mlx5_eswitch_uplink_get_proto_dev, 0x70ec56d2, "");
SYMBOL_CRC(mlx5_eswitch_vport_rep, 0xcf443395, "");
SYMBOL_CRC(mlx5_eswitch_reg_c1_loopback_enabled, 0x801f1892, "");
SYMBOL_CRC(mlx5_eswitch_vport_match_metadata_enabled, 0xd4982c16, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_match, 0x71319d13, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_set, 0xaad4aa44, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0x139f3ca9, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0xa3f88d47, "");
SYMBOL_CRC(mlx5_rdma_rn_get_params, 0x22a309bd, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe9ffc063, "down_trylock" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x7093751a, "__SCK__tp_func_xdp_exception" },
	{ 0x5358864e, "devlink_fmsg_binary_pair_nest_end" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xfd9f687a, "pci_restore_state" },
	{ 0x9ef068ff, "bpf_trace_run1" },
	{ 0x890ab870, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0xf00cb0df, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xb19b445, "ioread8" },
	{ 0xb7dcab4, "proc_mkdir" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x96ae8483, "dma_sync_single_for_cpu" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0x5ba3aaec, "page_pool_create" },
	{ 0x2635deef, "skb_checksum" },
	{ 0x75ade2cf, "page_pool_put_defragged_page" },
	{ 0x1374f77b, "devl_param_driverinit_value_set" },
	{ 0xfb578fc5, "memset" },
	{ 0x33577862, "_dev_warn" },
	{ 0x9469324b, "flow_rule_match_ports" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x11df0e75, "devlink_fmsg_binary_pair_nest_start" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0x6f41a639, "irq_cpu_rmap_remove" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x24240580, "devl_resources_unregister" },
	{ 0x53f45b03, "ptp_clock_event" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x2a5fb919, "netif_schedule_queue" },
	{ 0x9090d0ea, "__alloc_pages" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xacafb696, "bpf_redirect_info" },
	{ 0xb307c909, "devlink_fmsg_u64_pair_put" },
	{ 0x6ba4a9c4, "pci_set_master" },
	{ 0x1ac1ddec, "devl_trap_groups_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6a398df5, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa49c63ee, "flow_rule_match_ipv6_addrs" },
	{ 0x408e9da2, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0xe1f925ee, "devl_params_unregister" },
	{ 0x5a13382e, "ptp_clock_unregister" },
	{ 0x1f057e46, "mlx_backport_dependency_symbol" },
	{ 0x1e920a6c, "__pskb_pull_tail" },
	{ 0x82866040, "xp_dma_unmap" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x7a7c6909, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x934a467e, "devlink_trap_report" },
	{ 0x289ff6ef, "__neigh_event_send" },
	{ 0x5f4a03ad, "flow_block_cb_alloc" },
	{ 0x86585a33, "devlink_fmsg_obj_nest_start" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0xaa751a5b, "dev_printk_emit" },
	{ 0xf6fc8791, "__bitmap_xor" },
	{ 0xd8742ca2, "kobject_create_and_add" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb511215f, "devl_traps_register" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x43a7e82e, "devl_unlock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x6302a7c5, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x96d85e1e, "dma_set_coherent_mask" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x745a981, "xa_erase" },
	{ 0xa4b32d29, "pv_ops" },
	{ 0xd86dc658, "sysfs_remove_group" },
	{ 0x25f0471e, "flow_rule_match_enc_control" },
	{ 0x1bef7d83, "bpf_trace_run3" },
	{ 0x5453aeb2, "seq_read" },
	{ 0x715f2a16, "trace_print_flags_seq" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0xe5f73406, "hyperv_write_cfg_blk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xae407df7, "ipv6_find_hdr" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x8622fa94, "debugfs_create_file" },
	{ 0x601040ee, "rps_may_expire_flow" },
	{ 0xc204301e, "mlxdevm_param_driverinit_value_get" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x2ad2f596, "xsk_set_tx_need_wakeup" },
	{ 0x251f53ed, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x95e30403, "netdev_reset_tc" },
	{ 0xafab6c46, "neigh_destroy" },
	{ 0xf4b8d2a7, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x69758237, "trace_event_buffer_reserve" },
	{ 0x28985f4, "pci_reset_bus" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0x9e4f3b9d, "debugfs_create_x32" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7cdf659f, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xf49cb926, "flow_rule_match_enc_ports" },
	{ 0x12e4ff02, "xdp_return_frame_bulk" },
	{ 0x94f6622e, "mlxdevm_port_register" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x220d9b69, "pci_release_regions" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xa2a9c926, "bpf_prog_add" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x10d03bf1, "devl_assert_locked" },
	{ 0x6a41743b, "pcie_print_link_status" },
	{ 0x922df125, "xp_set_rxq_info" },
	{ 0xe8dbe2a4, "flow_rule_match_vlan" },
	{ 0x5ac285ab, "alloc_pages" },
	{ 0xdb1918bf, "devl_port_unregister" },
	{ 0xbf746740, "xdp_rxq_info_unreg" },
	{ 0x1c2cb2db, "page_pool_alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xd0ed09d5, "devl_param_driverinit_value_get" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xed0cc9db, "napi_build_skb" },
	{ 0x25636ad9, "netdev_master_upper_dev_get_rcu" },
	{ 0xf594f8b0, "__xdp_rxq_info_reg" },
	{ 0x870c3895, "xdp_set_features_flag" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc1cd0efa, "remove_proc_entry" },
	{ 0x8bb424d1, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x58a695d7, "bpf_prog_inc" },
	{ 0x3ac3feba, "rhltable_init" },
	{ 0xec642e7, "pcie_capability_read_dword" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x3f57b880, "netif_carrier_event" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3e6aa2e9, "netif_carrier_off" },
	{ 0xc17cace0, "seq_printf" },
	{ 0x888097a, "flow_rule_match_meta" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6f69726d, "devlink_priv" },
	{ 0x90856f3e, "devlink_port_register_with_ops" },
	{ 0xd88d8b08, "pci_disable_sriov" },
	{ 0x44bbcf5c, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x68266be7, "dst_release" },
	{ 0xe04777ea, "netif_carrier_on" },
	{ 0x9a34464, "netdev_set_num_tc" },
	{ 0xc9189112, "kobject_uevent" },
	{ 0x4ea25709, "dql_reset" },
	{ 0xa9a403e2, "hwmon_device_unregister" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xa9a3299f, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x2e5f03c, "pci_disable_device" },
	{ 0x99a4bffd, "mlxdevm_port_unregister" },
	{ 0xaff12a85, "boot_cpu_data" },
	{ 0xa5260af7, "xp_free" },
	{ 0xb12a7474, "page_pool_update_nid" },
	{ 0xcfc8ad3a, "single_release" },
	{ 0x234cf416, "devlink_fmsg_string_pair_put" },
	{ 0xde0a99cf, "dma_set_mask" },
	{ 0xb32bfaef, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xbc3ef507, "netif_set_tso_max_size" },
	{ 0xd3f9256d, "vlan_dev_vlan_id" },
	{ 0x1173c5b6, "__skb_flow_dissect" },
	{ 0xe790240e, "pci_msix_alloc_irq_at" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xbab2a63f, "seq_open" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xe327a7f8, "kmalloc_trace" },
	{ 0xc052f928, "xdp_master_redirect" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x51e13cfb, "xp_raw_get_data" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x9da0ba4, "xa_set_mark" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xc29bf967, "strspn" },
	{ 0xabb566ec, "napi_schedule_prep" },
	{ 0xfd4c8c4a, "qdisc_reset" },
	{ 0x773efd16, "napi_consume_skb" },
	{ 0xb10d964d, "devlink_fmsg_pair_nest_end" },
	{ 0x9a2b6c69, "xp_alloc_batch" },
	{ 0xb8a41700, "flow_rule_match_mpls" },
	{ 0x754d539c, "strlen" },
	{ 0x431d3dfb, "napi_disable" },
	{ 0x66962ea2, "dev_kfree_skb_any_reason" },
	{ 0x24395a81, "dcb_ieee_delapp" },
	{ 0x360afa91, "bpf_trace_run7" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7c1b90c1, "devl_port_health_reporter_create" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xed85d1d5, "debugfs_create_u8" },
	{ 0x302163b5, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x51ca1984, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x46238fe9, "debugfs_create_dir" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf407213, "skb_ext_add" },
	{ 0x5250c8ef, "pcie_bandwidth_available" },
	{ 0x53e4801b, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xdc4d1fd7, "flow_rule_match_control" },
	{ 0x3e68b6d8, "flow_rule_match_ip" },
	{ 0x20f45515, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x8b3494ff, "trace_handle_return" },
	{ 0x9a6b24c7, "backport_net_dim_get_def_tx_moderation" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xa24f1195, "dcb_ieee_setapp" },
	{ 0x45d246da, "node_to_cpumask_map" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x76872d38, "devl_trap_groups_unregister" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x9f8f9b6, "xsk_tx_release" },
	{ 0xb9c0fed4, "devl_traps_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2975252, "pci_iov_get_pf_drvdata" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7488a2dc, "pci_write_config_dword" },
	{ 0xe0b1a832, "kmalloc_caches" },
	{ 0x7050a761, "netdev_info" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xdf487af0, "device_remove_file" },
	{ 0x6105ceea, "neigh_lookup" },
	{ 0x7e2d16ae, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x91c2b5d, "kobject_put" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xea63a752, "__tracepoint_xdp_exception" },
	{ 0xbe98d330, "xsk_tx_completed" },
	{ 0x4fff63d1, "alloc_etherdev_mqs" },
	{ 0x9b052cb3, "netdev_lower_get_next" },
	{ 0x19894556, "flow_block_cb_lookup" },
	{ 0xe914e41e, "strcpy" },
	{ 0xef2938bf, "pci_save_state" },
	{ 0x259a0cb4, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x9208854c, "devl_rate_leaf_create" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xf5d38aa3, "xp_alloc" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x2023ec88, "pcie_capability_read_word" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x31413f0e, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc50f9b93, "flow_rule_match_enc_keyid" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xfbc1b62c, "bpf_prog_put" },
	{ 0x92e683f5, "down_timeout" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd82115f4, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1482fa7, "pci_cfg_access_unlock" },
	{ 0x4ad9f78b, "xp_dma_map" },
	{ 0x2b97f682, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x7684467b, "devlink_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x39ee1fcd, "skb_copy_bits" },
	{ 0xe2de22da, "debugfs_attr_write" },
	{ 0x1514807, "dma_pool_create" },
	{ 0xfb1be6fe, "param_ops_uint" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4774da57, "pci_msix_vec_count" },
	{ 0x60fb42e3, "backport_net_dim_get_rx_moderation" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xf81156a0, "pci_enable_device" },
	{ 0xe31fcbdb, "skb_put" },
	{ 0x36953ced, "skb_tstamp_tx" },
	{ 0x3fe6c346, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf5d02dfb, "call_switchdev_notifiers" },
	{ 0xefcfffec, "sysfs_create_file_ns" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x956b7a2e, "__napi_alloc_skb" },
	{ 0x17073887, "flow_indr_dev_register" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xa8fd8a79, "register_fib_notifier" },
	{ 0xf5d2d613, "auxiliary_device_init" },
	{ 0x6c9a2a6d, "ip6_dst_hoplimit" },
	{ 0xde9fb8ce, "netdev_update_features" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xcdc91321, "flow_rule_match_enc_ip" },
	{ 0xb0e602eb, "memmove" },
	{ 0x139bbfe3, "trace_seq_printf" },
	{ 0xc377063f, "pci_alloc_irq_vectors" },
	{ 0x4d96a20c, "netif_napi_add_weight" },
	{ 0x893c493e, "pci_enable_atomic_ops_to_root" },
	{ 0x5b3d9e72, "seq_release" },
	{ 0x533e3f3b, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x893abbdd, "devlink_fmsg_u32_pair_put" },
	{ 0x39761bfe, "trace_raw_output_prep" },
	{ 0xe753b68d, "devlink_fmsg_arr_pair_nest_end" },
	{ 0x4fd1ffd8, "xsk_clear_tx_need_wakeup" },
	{ 0xd694ea29, "udp4_hwcsum" },
	{ 0x1b6865c, "xa_get_mark" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x805c0b2b, "devl_lock" },
	{ 0x73c2554f, "__iowrite64_copy" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x15eb9dc5, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x94e49811, "ndo_dflt_bridge_getlink" },
	{ 0xd60318d6, "unregister_netdev" },
	{ 0x821efe91, "sysfs_add_file_to_group" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x7d784173, "xdp_convert_zc_to_xdp_frame" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x5a83eb6f, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x652dd47, "flow_rule_match_tcp" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x5acf76c8, "register_netdevice_notifier_dev_net" },
	{ 0xbac4ac6d, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x4754787c, "trace_event_printf" },
	{ 0x9206ae61, "devlink_health_reporter_create" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x826adaf, "flow_rule_match_cvlan" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xb01e32b9, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x39c9d88c, "xas_find" },
	{ 0xcf2a6966, "up" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0xfd9ecfac, "dma_sync_single_for_device" },
	{ 0x1bc097e0, "xdp_rxq_info_unused" },
	{ 0xa71d2e2c, "ioread16be" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xe03eeb3b, "pci_num_vf" },
	{ 0x6b2f5b8b, "debugfs_create_atomic_t" },
	{ 0x9743acd7, "flow_rule_match_eth_addrs" },
	{ 0xbbace430, "mlxdevm_param_driverinit_value_set" },
	{ 0xcc6d8a3d, "skb_add_rx_frag" },
	{ 0x77233620, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x174d2fe7, "ptp_clock_index" },
	{ 0x6d32cc8a, "pci_request_regions" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x5a4e462, "trace_event_raw_init" },
	{ 0x8fe4fa37, "flow_block_cb_free" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdee3811c, "xp_can_alloc" },
	{ 0x46f887ea, "dev_get_iflink" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x5bc1ff2b, "devlink_alloc_ns" },
	{ 0x654e0f9e, "devl_rate_leaf_destroy" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x179c118d, "pci_sriov_get_totalvfs" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xe92472b8, "devlink_register" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x785f1c88, "devlink_remote_reload_actions_performed" },
	{ 0x663bb448, "devlink_fmsg_obj_nest_end" },
	{ 0x6131149c, "pcpu_hot" },
	{ 0x1c54ae7c, "seq_lseek" },
	{ 0x4a7bc837, "page_pool_destroy" },
	{ 0x770cba48, "xdp_do_redirect" },
	{ 0xb5ac68ac, "devlink_free" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0x5cea4a7e, "devm_device_add_group" },
	{ 0x2a3bc2bc, "proc_create_data" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xcef9ecac, "bpf_trace_run2" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0xb7db165b, "netdev_warn" },
	{ 0xe90e0bd9, "mlxdevm_params_unregister" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x469d5f3f, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xc29b0bd3, "devl_rate_nodes_destroy" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xeca04472, "pci_irq_vector" },
	{ 0xa2fd92a8, "flow_rule_match_ipv4_addrs" },
	{ 0x7ec36b98, "ip_route_output_flow" },
	{ 0xde7ef36a, "__netif_napi_del" },
	{ 0x15510a89, "devlink_fmsg_binary_put" },
	{ 0xd4743120, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdf689b, "__dynamic_dev_dbg" },
	{ 0x1e3817a3, "sched_numa_hop_mask" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9ee3f08b, "__dev_get_by_name" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x77d3701a, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0x87e372c3, "netdev_err" },
	{ 0x3dbb969a, "pci_cfg_access_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x9375c888, "mlxdevm_params_publish" },
	{ 0xeede5509, "register_netdevice_notifier_net" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x6b57680d, "dev_driver_string" },
	{ 0x7c94bf45, "netdev_port_same_parent_id" },
	{ 0x8600cd4a, "trace_event_buffer_commit" },
	{ 0x82f49b60, "dev_addr_mod" },
	{ 0x4ff8d649, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xfe70af03, "ptp_find_pin" },
	{ 0x3e43ad84, "eth_type_trans" },
	{ 0x4c4f148a, "pci_read_config_dword" },
	{ 0x2ff69b0d, "request_firmware_direct" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0xea5fe994, "flow_rule_match_icmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xeb8663b2, "auxiliary_driver_unregister" },
	{ 0xf2ffda5a, "dma_map_page_attrs" },
	{ 0x7ab821a9, "trace_seq_putc" },
	{ 0x932d5026, "napi_complete_done" },
	{ 0x2c223b85, "mlxdevm_port_attr_set" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xca17ac01, "_find_next_andnot_bit" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x845698aa, "mlxdevm_rate_nodes_destroy" },
	{ 0xe850d726, "devlink_port_attrs_pci_vf_set" },
	{ 0x994015a6, "priv_to_devlink" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x7c253663, "vlan_dev_vlan_proto" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x8af267a2, "put_device" },
	{ 0x10e5b885, "sysfs_remove_file_ns" },
	{ 0x869d5b2a, "__napi_schedule" },
	{ 0x730723dd, "devlink_port_health_reporter_create" },
	{ 0x584a0055, "mlxdevm_port_type_eth_set" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xdf04d433, "pcie_relaxed_ordering_enabled" },
	{ 0xeb0650fa, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x931c4658, "kmalloc_node_trace" },
	{ 0x8ce682de, "devlink_port_attrs_pci_pf_set" },
	{ 0xe84ae1a2, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x507428c5, "netif_device_detach" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5c5161d, "mlxdevm_rate_group_unregister" },
	{ 0xe222549b, "__free_pages" },
	{ 0x3038dce, "kmem_cache_alloc" },
	{ 0xdca21f24, "backport_net_dim_get_tx_moderation" },
	{ 0x9f984513, "strrchr" },
	{ 0xcd438754, "_dev_info" },
	{ 0x6aaaf323, "skb_vlan_pop" },
	{ 0xeb7f6196, "napi_gro_receive" },
	{ 0xafe392b6, "netif_device_attach" },
	{ 0x35e56845, "devl_resource_register" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x7a9c3b10, "mlxdevm_unregister" },
	{ 0x2bdaaaeb, "netdev_pick_tx" },
	{ 0x6d7a2bd8, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x2ed3abfd, "xp_raw_get_dma" },
	{ 0xcbc679af, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xcda75020, "mlxdevm_params_register" },
	{ 0xc73e50f3, "xdp_rxq_info_is_reg" },
	{ 0x2d27c122, "flow_rule_match_enc_opts" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x36876e0e, "ptp_classify_raw" },
	{ 0xc2c5802, "work_busy" },
	{ 0xc54c2b6c, "devlink_net" },
	{ 0xa99ef899, "devlink_fmsg_bool_pair_put" },
	{ 0xf0323cfd, "free_fib_info" },
	{ 0x1591b2c6, "hyperv_read_cfg_blk" },
	{ 0x42ba14ef, "devl_health_reporter_create" },
	{ 0xef791752, "flow_block_cb_setup_simple" },
	{ 0x1937fcad, "pci_msix_can_alloc_dyn" },
	{ 0x9df16d5b, "device_create_file" },
	{ 0x5ee53d2f, "flow_rule_match_basic" },
	{ 0x45fccad2, "unregister_netdevice_notifier_dev_net" },
	{ 0x12608bae, "pci_find_capability" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0x8283e34a, "pci_iov_vf_id" },
	{ 0xbb6a3cbd, "devlink_fmsg_arr_pair_nest_start" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x7c041431, "debugfs_lookup" },
	{ 0x3087d7ca, "debugfs_attr_read" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x75f62e7a, "flow_rule_match_ct" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xc13ab62b, "backport_net_dim" },
	{ 0xb4e84862, "vlan_dev_real_dev" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x244ed5b0, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x90e78862, "__dev_get_by_index" },
	{ 0xb55dd28d, "perf_trace_run_bpf_submit" },
	{ 0xf7bc95b0, "devlink_fmsg_pair_nest_start" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x760b92ef, "devlink_port_unregister" },
	{ 0x9d210c6, "dev_get_port_parent_id" },
	{ 0x57bc19d2, "down_write" },
	{ 0xa2dec2b7, "_dev_err" },
	{ 0x9952805, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x8faff638, "softnet_data" },
	{ 0x32496764, "ipv6_stub" },
	{ 0x2d57bdaf, "simple_open" },
	{ 0xc9810dc, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x229ecfb6, "debugfs_create_file_unsafe" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x517db7bf, "xdp_return_frame" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x90959fbb, "simple_attr_release" },
	{ 0xb336af67, "ptp_clock_register" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x19f7bffe, "xp_dma_sync_for_cpu_slow" },
	{ 0x36437f1c, "xsk_tx_peek_desc" },
	{ 0xfd51e48d, "hwmon_device_register_with_info" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0x95da3754, "netif_set_real_num_tx_queues" },
	{ 0xcfc5108a, "devlink_fmsg_u8_pair_put" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x7f258bdf, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x26e12e41, "irq_get_irq_data" },
	{ 0xfdfc200c, "dev_remove_pack" },
	{ 0x7a7a5d30, "mlxdevm_port_get_by_index" },
	{ 0xb29707ae, "netif_set_real_num_rx_queues" },
	{ 0x6626afca, "down" },
	{ 0xb17046c9, "dev_get_by_index" },
	{ 0x836a7b26, "bpf_trace_run5" },
	{ 0xc09c0c82, "flow_indr_block_cb_alloc" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x84d23daf, "devl_port_register_with_ops" },
	{ 0xb25c547a, "dev_get_by_index_rcu" },
	{ 0x6278af5f, "kfree_skb_reason" },
	{ 0x1157a2c6, "netdev_printk" },
	{ 0x954f099c, "idr_preload" },
	{ 0xc4d702d9, "mlxfw_firmware_flash" },
	{ 0x16da1f88, "devlink_fmsg_u32_put" },
	{ 0x4d802c3a, "mlxdevm_rate_group_register" },
	{ 0x639abf6f, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x7325aacb, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xa9828607, "skb_push" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0xdf84e55c, "kmem_cache_free" },
	{ 0x4dda2873, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xc100381c, "debugfs_remove" },
	{ 0x793808ae, "pci_read_config_word" },
	{ 0x7ac10b6c, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x8e055ab4, "xsk_clear_rx_need_wakeup" },
	{ 0x732d332, "unregister_netdevice_notifier_net" },
	{ 0xa2a52ee4, "xsk_uses_need_wakeup" },
	{ 0x97e9a9d1, "register_netdev" },
	{ 0x67c518e4, "unregister_fib_notifier" },
	{ 0xddd6684f, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x9166fada, "strncpy" },
	{ 0xff65ccb1, "devlink_port_attrs_pci_sf_set" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1af267f8, "int_pow" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0x2e8a6412, "debugfs_create_u64" },
	{ 0xffb7c514, "ida_free" },
	{ 0x22ae5ead, "free_netdev" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x2d38f8a1, "mlxdevm_register" },
	{ 0xcd279169, "nla_find" },
	{ 0x221394ae, "hyperv_reg_block_invalidate" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9b77aef5, "devl_params_register" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xb623aa85, "kobject_init_and_add" },
	{ 0xde80cd09, "ioremap" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xf21dd7d3, "sysfs_remove_file_from_group" },
	{ 0xb1518e15, "cancel_work" },
	{ 0xb1c9e3c6, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x75cf8d2c, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x7fc77654, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x8d58fc11, "__ethtool_get_link_ksettings" },
	{ 0xe88dbce, "module_layout" },
};

MODULE_INFO(depends, "mlx_compat,mlxdevm,mlxfw");

MODULE_ALIAS("auxiliary:mlx5_core.sf");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001025sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DFsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "129D3E575801C47D7A66820");
