#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlxdevm_register, "_gpl", "");
KSYMTAB_FUNC(mlxdevm_unregister, "_gpl", "");
KSYMTAB_FUNC(mlxdevm_rate_nodes_destroy, "_gpl", "");
KSYMTAB_FUNC(mlxdevm_params_register, "_gpl", "");
KSYMTAB_FUNC(mlxdevm_params_unregister, "_gpl", "");
KSYMTAB_FUNC(mlxdevm_param_register, "_gpl", "");
KSYMTAB_FUNC(mlxdevm_param_unregister, "_gpl", "");
KSYMTAB_FUNC(mlxdevm_params_publish, "_gpl", "");
KSYMTAB_FUNC(mlxdevm_params_unpublish, "_gpl", "");
KSYMTAB_FUNC(mlxdevm_param_driverinit_value_get, "_gpl", "");
KSYMTAB_FUNC(mlxdevm_param_driverinit_value_set, "_gpl", "");
KSYMTAB_FUNC(mlxdevm_port_get_by_index, "_gpl", "");
KSYMTAB_FUNC(mlxdevm_rate_group_register, "_gpl", "");
KSYMTAB_FUNC(mlxdevm_rate_group_unregister, "_gpl", "");
KSYMTAB_FUNC(mlxdevm_port_register, "_gpl", "");
KSYMTAB_FUNC(mlxdevm_port_unregister, "_gpl", "");
KSYMTAB_FUNC(mlxdevm_port_type_eth_set, "_gpl", "");
KSYMTAB_FUNC(mlxdevm_port_attr_set, "_gpl", "");

SYMBOL_CRC(mlxdevm_register, 0x2d38f8a1, "_gpl");
SYMBOL_CRC(mlxdevm_unregister, 0x7a9c3b10, "_gpl");
SYMBOL_CRC(mlxdevm_rate_nodes_destroy, 0x845698aa, "_gpl");
SYMBOL_CRC(mlxdevm_params_register, 0xcda75020, "_gpl");
SYMBOL_CRC(mlxdevm_params_unregister, 0xe90e0bd9, "_gpl");
SYMBOL_CRC(mlxdevm_param_register, 0xfdc1641a, "_gpl");
SYMBOL_CRC(mlxdevm_param_unregister, 0x6cd3df3f, "_gpl");
SYMBOL_CRC(mlxdevm_params_publish, 0x9375c888, "_gpl");
SYMBOL_CRC(mlxdevm_params_unpublish, 0x1fee3907, "_gpl");
SYMBOL_CRC(mlxdevm_param_driverinit_value_get, 0xc204301e, "_gpl");
SYMBOL_CRC(mlxdevm_param_driverinit_value_set, 0xbbace430, "_gpl");
SYMBOL_CRC(mlxdevm_port_get_by_index, 0x7a7a5d30, "_gpl");
SYMBOL_CRC(mlxdevm_rate_group_register, 0x4d802c3a, "_gpl");
SYMBOL_CRC(mlxdevm_rate_group_unregister, 0x05c5161d, "_gpl");
SYMBOL_CRC(mlxdevm_port_register, 0x94f6622e, "_gpl");
SYMBOL_CRC(mlxdevm_port_unregister, 0x99a4bffd, "_gpl");
SYMBOL_CRC(mlxdevm_port_type_eth_set, 0x584a0055, "_gpl");
SYMBOL_CRC(mlxdevm_port_attr_set, 0x2c223b85, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe2d5255a, "strcmp" },
	{ 0xce807a25, "up_write" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x1f057e46, "mlx_backport_dependency_symbol" },
	{ 0xb8401190, "genl_register_family" },
	{ 0x4ca4b136, "nla_put" },
	{ 0xe6ec03c3, "nla_put_64bit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5c5468b2, "genl_unregister_family" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb04a43ad, "__xa_alloc_cyclic" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9da0ba4, "xa_set_mark" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xa916b694, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x754d539c, "strlen" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xc0ff12fb, "nla_strdup" },
	{ 0x37a0cba, "kfree" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xe0b1a832, "kmalloc_caches" },
	{ 0xe327a7f8, "kmalloc_trace" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x56470118, "__warn_printk" },
	{ 0x72760f99, "genlmsg_put" },
	{ 0x8f715b21, "skb_trim" },
	{ 0x245eca52, "__alloc_skb" },
	{ 0x6278af5f, "kfree_skb_reason" },
	{ 0xb60eae1d, "netlink_unicast" },
	{ 0x668b19a1, "down_read" },
	{ 0x53b954a2, "up_read" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x131a6146, "xa_clear_mark" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x745a981, "xa_erase" },
	{ 0x57bc19d2, "down_write" },
	{ 0xe88dbce, "module_layout" },
};

MODULE_INFO(depends, "mlx_compat");


MODULE_INFO(srcversion, "32F0963F2AA35815B22BE4F");
