#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rdma_event_msg, "", "");
KSYMTAB_FUNC(rdma_reject_msg, "", "");
KSYMTAB_FUNC(rdma_consumer_reject_data, "", "");
KSYMTAB_FUNC(rdma_iw_cm_id, "", "");
KSYMTAB_FUNC(rdma_res_to_id, "", "");
KSYMTAB_FUNC(__rdma_create_kernel_id, "", "");
KSYMTAB_FUNC(rdma_create_user_id, "", "");
KSYMTAB_FUNC(rdma_create_qp, "", "");
KSYMTAB_FUNC(rdma_destroy_qp, "", "");
KSYMTAB_FUNC(rdma_init_qp_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_id, "", "");
KSYMTAB_FUNC(rdma_get_service_id, "", "");
KSYMTAB_FUNC(rdma_read_gids, "", "");
KSYMTAB_FUNC(rdma_set_service_type, "", "");
KSYMTAB_FUNC(rdma_set_ack_timeout, "", "");
KSYMTAB_FUNC(rdma_set_min_rnr_timer, "", "");
KSYMTAB_FUNC(rdma_set_ib_path, "", "");
KSYMTAB_FUNC(rdma_resolve_route, "", "");
KSYMTAB_FUNC(rdma_set_reuseaddr, "", "");
KSYMTAB_FUNC(rdma_set_afonly, "", "");
KSYMTAB_FUNC(rdma_listen, "", "");
KSYMTAB_FUNC(rdma_resolve_addr, "", "");
KSYMTAB_FUNC(rdma_bind_addr, "", "");
KSYMTAB_FUNC(rdma_connect_locked, "", "");
KSYMTAB_FUNC(rdma_connect, "", "");
KSYMTAB_FUNC(rdma_connect_ece, "", "");
KSYMTAB_FUNC(rdma_accept, "", "");
KSYMTAB_FUNC(rdma_accept_ece, "", "");
KSYMTAB_FUNC(rdma_lock_handler, "", "");
KSYMTAB_FUNC(rdma_unlock_handler, "", "");
KSYMTAB_FUNC(rdma_notify, "", "");
KSYMTAB_FUNC(rdma_reject, "", "");
KSYMTAB_FUNC(rdma_disconnect, "", "");
KSYMTAB_FUNC(rdma_join_multicast, "", "");
KSYMTAB_FUNC(rdma_leave_multicast, "", "");

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0x7cd79ac3, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0x9c2ab70d, "");
SYMBOL_CRC(rdma_iw_cm_id, 0x72aeee69, "");
SYMBOL_CRC(rdma_res_to_id, 0xf2f434c1, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0xed2c7af3, "");
SYMBOL_CRC(rdma_create_user_id, 0x2feb0de0, "");
SYMBOL_CRC(rdma_create_qp, 0x0bd234db, "");
SYMBOL_CRC(rdma_destroy_qp, 0x389878b5, "");
SYMBOL_CRC(rdma_init_qp_attr, 0x0152df3c, "");
SYMBOL_CRC(rdma_destroy_id, 0xca7fc83a, "");
SYMBOL_CRC(rdma_get_service_id, 0x53cb2ef1, "");
SYMBOL_CRC(rdma_read_gids, 0xa4e29250, "");
SYMBOL_CRC(rdma_set_service_type, 0x1672497b, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0x6b8739ef, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0x7960589d, "");
SYMBOL_CRC(rdma_set_ib_path, 0xb144db93, "");
SYMBOL_CRC(rdma_resolve_route, 0x4dee24e6, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0x385de4d0, "");
SYMBOL_CRC(rdma_set_afonly, 0xf47561a8, "");
SYMBOL_CRC(rdma_listen, 0x89a31638, "");
SYMBOL_CRC(rdma_resolve_addr, 0x6b31a646, "");
SYMBOL_CRC(rdma_bind_addr, 0xed8067f9, "");
SYMBOL_CRC(rdma_connect_locked, 0xe93b07be, "");
SYMBOL_CRC(rdma_connect, 0x704f36d8, "");
SYMBOL_CRC(rdma_connect_ece, 0xfff08c18, "");
SYMBOL_CRC(rdma_accept, 0xbe4c2868, "");
SYMBOL_CRC(rdma_accept_ece, 0x8bc1e853, "");
SYMBOL_CRC(rdma_lock_handler, 0xa771fa04, "");
SYMBOL_CRC(rdma_unlock_handler, 0x4bd98f27, "");
SYMBOL_CRC(rdma_notify, 0xf5490dfd, "");
SYMBOL_CRC(rdma_reject, 0x1fb26662, "");
SYMBOL_CRC(rdma_disconnect, 0xc90794dc, "");
SYMBOL_CRC(rdma_join_multicast, 0x34062bf6, "");
SYMBOL_CRC(rdma_leave_multicast, 0x991bfda3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1d24c881, "___ratelimit" },
	{ 0xa484f6fd, "iw_cm_connect" },
	{ 0x46103288, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9c4058ee, "rdma_addr_cancel" },
	{ 0x96edb9b6, "ib_cm_notify" },
	{ 0xa916b694, "strnlen" },
	{ 0xb7b851e1, "ib_sa_get_mcmember_rec" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0x51ccba37, "ib_register_client" },
	{ 0xfa022c7d, "ib_sa_path_rec_get" },
	{ 0xf72665f0, "ib_create_cm_id" },
	{ 0x6f6e760e, "__ip_mc_dec_group" },
	{ 0xb4e84862, "vlan_dev_real_dev" },
	{ 0x439ce33c, "ib_sa_unregister_client" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xb55dd28d, "perf_trace_run_bpf_submit" },
	{ 0xf18ef821, "ib_init_ah_from_mcmember" },
	{ 0x5068e321, "rdma_destroy_ah_attr" },
	{ 0x9184ffe2, "ib_set_client_data" },
	{ 0x9952805, "init_net" },
	{ 0x5a4194e2, "ib_get_cached_pkey" },
	{ 0x3947706c, "configfs_register_subsystem" },
	{ 0xdde2f91f, "configfs_remove_default_groups" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x6947e605, "rdma_put_gid_attr" },
	{ 0x80ecf9c, "config_group_init_type_name" },
	{ 0xb17046c9, "dev_get_by_index" },
	{ 0x956527b6, "iw_destroy_cm_id" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x70bcfe28, "ib_send_cm_rep" },
	{ 0xddd6684f, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x40d0c5b, "iw_cm_disconnect" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0x9ef068ff, "bpf_trace_run1" },
	{ 0x8778b06, "ib_destroy_qp_user" },
	{ 0xb3b86f0b, "unregister_pernet_subsys" },
	{ 0xa52f2e5b, "ib_cm_init_qp_attr" },
	{ 0x33577862, "_dev_warn" },
	{ 0x6538c2df, "ib_send_cm_drep" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xffd5e327, "rdma_restrack_set_name" },
	{ 0x1f057e46, "mlx_backport_dependency_symbol" },
	{ 0x587bf3f4, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0x5e45d877, "ib_get_cached_port_state" },
	{ 0xd1600459, "ib_send_cm_mra" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x19d873e, "rdma_restrack_del" },
	{ 0x3ab76d6f, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x1bef7d83, "bpf_trace_run3" },
	{ 0x8df01501, "__put_net" },
	{ 0xc86c5fef, "rdma_restrack_parent_name" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa8f763bd, "iw_cm_accept" },
	{ 0x69758237, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x3318d3df, "config_item_put" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4437f025, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0xc1bf6b9a, "iw_cm_init_qp_attr" },
	{ 0x68266be7, "dst_release" },
	{ 0x6f434fb3, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf65188ff, "ib_send_cm_dreq" },
	{ 0x3df20102, "ib_send_cm_req" },
	{ 0x78158a62, "ib_create_qp_kernel" },
	{ 0xc2aaab0f, "ib_sa_join_multicast" },
	{ 0x9fb2e18a, "roce_gid_type_mask_support" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x612385a6, "rdma_get_gid_attr" },
	{ 0xe327a7f8, "kmalloc_trace" },
	{ 0xc2d0397b, "rdma_restrack_new" },
	{ 0x85f5890f, "__fib_lookup" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8b3494ff, "trace_handle_return" },
	{ 0x2d1632e, "iw_cm_listen" },
	{ 0xfb27b1f0, "ib_send_cm_rej" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x371f8453, "rdma_copy_src_l2_addr" },
	{ 0xe0b1a832, "kmalloc_caches" },
	{ 0x5d2f607f, "rdma_resolve_ip" },
	{ 0xecee4dcf, "ib_send_cm_sidr_req" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xe668d83b, "iw_create_cm_id" },
	{ 0xbea79f5, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x15da37c1, "ib_unregister_client" },
	{ 0x6ed08fbb, "netdev_walk_all_lower_dev_rcu" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x2962a741, "ib_send_cm_sidr_rep" },
	{ 0x2b97f682, "bpf_trace_run4" },
	{ 0x5c207c2e, "config_group_init" },
	{ 0x23ee3843, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xbe89b02, "rdma_find_gid_by_port" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x39761bfe, "trace_raw_output_prep" },
	{ 0xd1622227, "ib_cm_insert_listen" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x5a83eb6f, "__trace_trigger_soft_disabled" },
	{ 0x4754787c, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc86f5cb, "ib_sa_register_client" },
	{ 0x5a4e462, "trace_event_raw_init" },
	{ 0xe6570985, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4c56e39a, "rdma_query_gid" },
	{ 0xd85cd257, "rt6_lookup" },
	{ 0x6131149c, "pcpu_hot" },
	{ 0x957a5d8a, "rdma_translate_ip" },
	{ 0xcef9ecac, "bpf_trace_run2" },
	{ 0x5a11b221, "rdma_dev_access_netns" },
	{ 0x23786e42, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x451e4d80, "ib_destroy_cm_id" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbbcc08f8, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xbb42872b, "register_pernet_subsys" },
	{ 0x8600cd4a, "trace_event_buffer_commit" },
	{ 0xaac1a894, "ip_mc_inc_group" },
	{ 0xca3be27f, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x551cd22, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0xe88dbce, "module_layout" },
};

MODULE_INFO(depends, "iw_cm,ib_core,ib_cm,configfs,mlx_compat");

